Bug 1017663 - Send key Ctrl+Alt+Del and Ctrl+Alt+Fxx
Send key Ctrl+Alt+Del and Ctrl+Alt+Fxx
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer (Show other bugs)
3.3.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.4.0
Assigned To: Marc-Andre Lureau
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 06:02 EDT by Vaclav Ehrlich
Modified: 2016-10-04 00:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 19:29:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rfc patch (5.25 KB, patch)
2013-10-29 16:20 EDT, Marc-Andre Lureau
marcandre.lureau: review-
Details | Diff

  None (edit)
Description Vaclav Ehrlich 2013-10-10 06:02:52 EDT
Description of problem:
If key (Ctrl+Alt+End or Ctrl+Alt+Fxx) is send via keyboard or via menu Send key, nothing happens in guest.
Key combo is captured by xev in guest, but proper action is not launched.

PrintScreen works fine.

Version-Release number of selected component (if applicable):
mingv-virt-viewer 0.5.66.el6_6
spice-vdagent-0.14.0-2

How reproducible:
Always

Steps to Reproduce:
1.Connect to guest
2.Try to press combination of ctrl+alt+fxx (f1-f12) or ctrl+alt+end

Actual results:
Nothing happens on guest,
XEV on guest shows pressed buttons

Expected results:
Action according to key combination is performed.

Additional info:
Client WinXP 32b
Guest RHEL 6.5
Host RHEL 6.5
Comment 1 Marc-Andre Lureau 2013-10-29 16:20:25 EDT
Created attachment 817175 [details]
rfc patch
Comment 2 Marc-Andre Lureau 2013-10-29 16:22:24 EDT
Comment on attachment 817175 [details]
rfc patch

wrong patch...
Comment 3 Marc-Andre Lureau 2013-10-29 16:27:55 EDT
fwiw, I am unable to reproduce using vv or controller connection.

With controller, c-a-end is not enabled unless secure-attention hotkey is set. (see also bug 1023447)

Can you specify how you launch the client?
Comment 4 Vaclav Ehrlich 2013-11-11 11:32:13 EST
I've connected directly from windows command line.
Comment 5 Marc-Andre Lureau 2013-11-12 16:57:11 EST
(In reply to Vaclav Ehrlich from comment #4)
> I've connected directly from windows command line.

can you give the full command line? did you set --hotkeys? If not, then there is no global key binding. This means that the pointer needs to be outside of the remote display arrea for the gtk accelerator to be active.
Comment 6 Vaclav Ehrlich 2013-11-27 08:57:17 EST
I don't use --hotkeys

Client:
    sudo /usr/libexec/qemu-kvm -m 1024 -name winXP -drive file=~/winXP.img,media=disk -vga qxl -spice port=3000,addr=10.34.131.226,disable-ticketing -device virtio-serial  -chardev spicevmc,id=vdagent,name=vdagent -device virtserialport,chardev=vdagent,name=com.redhat.spice.0 -readconfig ./ich9-ehci-uhci.cfg -chardev spicevmc,name=usbredir,id=usbredirchardev1 -device usb-redir,chardev=usbredirchardev1,id=usbredirdev1,debug=3 -chardev spicevmc,name=usbredir,id=usbredirchardev2 -device usb-redir,chardev=usbredirchardev2,id=usbredirdev2,debug=3 -soundhw ac97 -monitor stdio
     
Guest:
    sudo /usr/libexec/qemu-kvm -m 1024 -name rhel65 -drive file=~/rhel65.img,media=disk -vga qxl -spice port=3001,disable-ticketing -device virtio-serial  -chardev spicevmc,id=vdagent,name=vdagent -device virtserialport,chardev=vdagent,name=com.redhat.spice.0 -readconfig ./ich9-ehci-uhci.cfg -chardev spicevmc,name=usbredir,id=usbredirchardev1 -device usb-redir,chardev=usbredirchardev1,id=usbredirdev1,debug=3 -chardev spicevmc,name=usbredir,id=usbredirchardev2 -device usb-redir,chardev=usbredirchardev2,id=usbredirdev2,debug=3 -monitor stdio
     
Connect to client:
    remote-viewer spice://10.34.131.226?port=3000
     
From client connect to guest:
    remote-viewer.exe spice://10.34.131.226?port=3001
Comment 7 Vaclav Ehrlich 2013-11-28 09:10:59 EST
Well it works, but you have to press and hold for 3 to 5 seconds the combination of Ctrl+Alt+Fxx.
Comment 8 David Blechter 2013-12-08 16:05:43 EST
mnoving to 3.4 as no blocker flag proposed and we are at RC phase. 

(In reply to Vaclav Ehrlich from comment #7)
> Well it works, but you have to press and hold for 3 to 5 seconds the
> combination of Ctrl+Alt+Fxx.
Canm you provide more details? What is working now?
Comment 9 Marc-Andre Lureau 2014-03-11 19:29:17 EDT
can't reproduce, closing by lack of info.

Feel free to reopen if you have further details
Comment 10 Vaclav Ehrlich 2014-03-27 06:01:03 EDT
I'll try it in 3.4
What info you will need ?

Note You need to log in before you can comment on or make changes to this bug.